Status: Open

Priority: High

Assignee:

Category: GUI

Affected QGIS version:3.5(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29175

Description

See screenshot: both the Select field group and th Layer Options group have some (re)paint issues

QGIS Master (and 3.4) on Debian, Style: Fusion, UI Theme Default, Qt 5.11.3

I can NOT reproduce it on Windows, with Qt 5.11.2 and same style/theme

In 2.18.28 it does not show this issue.

To reproduce:

- on vector layer, select 'Export/Save Features As'

- in the dialog close the (default open) group 'Select fields to export and their export options'

- all still looks fine

- now select another Format in the dropdown. 

- then it looks like you see in the screenshot (with me)

garbled.png

Maybe some item does not have a height?

Note that the Layer Options actually has the same issue, only that one is opened by default in almost all Formats. But if you open GPX

(which apparently does not have Layer Options) you will also see a partial painting like in the screenshot

History

#1 - 2019-02-23 10:41 PM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2019-03-05 12:55 PM - Richard Duivenvoorde

- Description updated

#3 - 2019-03-05 12:56 PM - Richard Duivenvoorde

- File gnome-shell-screenshot-ZH5RXZ.png added

#4 - 2019-03-05 01:00 PM - Richard Duivenvoorde

Same issue in the styling dialog (well with me):

gnome-shell-screenshot-ZH5RXZ.png

While I was doing something in the code for this dialog I happen to see this part:
https://github.com/qgis/QGIS/blob/master/src/gui/symbology/qgsgraduatedsymbolrendererwidget.h#L68-L80

which says something like: "View style which shows drop indicator line between items" so to me it looks like this 'styling' creates this issue?

#5 - 2019-03-05 04:31 PM - Richard Duivenvoorde

Mmm, trying out the Fusion/Blend of Gray theme, and that one on first sight does not show this?

Maybe it has something to do with the 'older' Fusion/default theme?
